<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <div v-if="tratamiento">
        <h2 class="jh-entity-heading" data-cy="tratamientoDetailsHeading">
          <span v-text="$t('gatewayApp.pacientesTratamiento.detail.title')">Tratamiento</span> {{ tratamiento.id }}
        </h2>
        <dl class="row jh-entity-details">
          <dt>
            <span v-text="$t('gatewayApp.pacientesTratamiento.descripcionTratamiento')">Descripcion Tratamiento</span>
          </dt>
          <dd>
            <span>{{ tratamiento.descripcionTratamiento }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesTratamiento.fechaInicio')">Fecha Inicio</span>
          </dt>
          <dd>
            <span v-if="tratamiento.fechaInicio">{{ $d(Date.parse(tratamiento.fechaInicio), 'long') }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesTratamiento.fechaFin')">Fecha Fin</span>
          </dt>
          <dd>
            <span v-if="tratamiento.fechaFin">{{ $d(Date.parse(tratamiento.fechaFin), 'long') }}</span>
          </dd>
        </dl>
        <button type="submit" v-on:click.prevent="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <font-awesome-icon icon="arrow-left"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.back')"> Back</span>
        </button>
        <router-link
          v-if="tratamiento.id"
          :to="{ name: 'TratamientoEdit', params: { tratamientoId: tratamiento.id } }"
          custom
          v-slot="{ navigate }"
        >
          <button @click="navigate" class="btn btn-primary">
            <font-awesome-icon icon="pencil-alt"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.edit')"> Edit</span>
          </button>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script lang="ts" src="./tratamiento-details.component.ts"></script>
